﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.
init python:
    import os.path

define m = Character("Me")
define r = Character("RandomCreator2")
define v = Character("Voice")
default first = True
default chair = False
default ladder = False
default nice = False

# The game starts here.

label start:

    $ dc = 0

    # Show a background. This uses a placeholder by default, but you can
    # add a file (named either "bg room.png" or "bg room.jpg") to the
    # images directory to show it.

    scene white room

    # This shows a character sprite. A placeholder is used, but you can
    # replace it by adding a file named "eileen happy.png" to the images
    # directory.



    # These display lines of dialogue.

    r "..."
    r "Well, we're in a locked room."
    r "This is made with renpy, but this isn't a dating game."
    r "I hope you enjoy, and good luck."

    scene dark room

    m "Where, am I?"

    scene room one one

    m "Hey, look, Peanut Butter!"
    m "I could go for a snack."
    m "Let me just..."
    "I try to climb the shelf."
    "The shelf snaped."
    "I fall and my face hits the second shelf."
    m "Ow."

    scene room one two

    m "Well, stat's what I get for thinking that would work."
    m "Where should I go?"
    jump begining

label begining:
    menu:

        

        "Left":

            jump left
            $ nice = true

        "Right":

            jump right

label right:
    if not chair:
        m "Right, of course, why wouldn't I go right?"

        scene room one six

        m "There's a chair..."
        m "I could use it to get the peanut butter."

        scene white room
        $ chair = True

        v "Ah, you have obtained.{w=1}.{w=1}.{w=1} Chair"
        if not ladder:
        
            m "Um, who are you?"
            v "I am the reason you are here,{w=1} for I am, {w=5}THE VOICE!"
        m ".{w=1}.{w=1}."
        m "Okay then.{w=1}.{w=1}."
        "This dude's weird.{w=1}.{w=1}."
        jump E
    if doormove1:
        scene white room 
        m "I'm just going to keep mooving in this direction..."
        $ doormove1 = False
        jump shelf #100thline
    scene white room
    m "Why did I go back here"
    m ".{w=1}.{w=1}."
    jump E

label left:
    if not ladder:
        if nice:
            m "Right, of course, why wouldn't I go left?"
            m "Right is never right. Of course, why would I ever go right?"

        scene room one seven

        m "There's a Ladder..."
        m "I could use it to get the peanut butter."

        scene white room
        $ ladder = True

        v "Ah, you have obtained.{w=1}.{w=1}.{w=1} Ladder"
        if not chair:
        
            m "Um, who are you?"
            v "I am the reason you are here,{w=1} for I am, {w=5}THE VOICE!"
        m ".{w=1}.{w=1}."
        m "Okay then.{w=1}.{w=1}."
        if not chair:
            "This dude's weird.{w=1}.{w=1}."
        jump Q
    if doormove2:
        m "I'm just going to keep mooving in this direction..."
        $ doormove2 = False
        jump shelf
    m "Why did I go back here"
    m ".{w=1}.{w=1}."
    jump E

label E:
    menu:

        

        "Left":

            jump shelf

        "Right":

            jump door

label Q:
    menu:

        

        "Left":

            jump door

        "Right":

            jump shelf

label door:

    scene room one eight

    $ dc = dc + 1
    if dc < 2:
        ".{w=1}.{w=1}."
        "Well there {i}is{/i} a door here."
        ".{w=1}.{w=1}."
        jump begining2
    if dc < 3:
        ".{w=1}.{w=1}."
        "There is {i}still{/i} a door here."
        ".{w=1}.{w=1}."
        jump begining2
    if dc < 4:
        ".{w=1}.{w=1}."
        "Bruh"
        "There {i}is still{/i} a door here."
        ".{w=1}.{w=1}."
        jump begining2
    if dc < 5:
        ".{w=1}.{w=1}."
        $ dc = dc - 1
        jump begining2



label begining2:
    menu:

        

        "Left":

            if chair:
                $ doormove1 = True #200thline
            jump right

        "Right":

            if ladder:
                $ doormove2 = True
            jump left

label shelf:
    if chair:
        "I set the chair down and see the one to one scale."
        scene room one three
        "I'm not tall enough to reach it and I'm not climing the death trap again. I learned my leson."
        if ladder:
            "Now this should work, and it's pretty sturdy"
            scene room one four
            "Here I go."
            scene dark room
            "I'm almost there."
            "Just a little more."
            ".{w=1}.{w=1}."
            "Got it."
            ".{w=1}.{w=1}."
            ".{w=1}.{w=1}."
            "And I'm down."
            scene room one nine
            v "Now open it."
            m "Nah, I want to save it."
            v "OPEN IT!!!"
            m "Okay okay, geez"
            "I open the Peanut Butter to find."
            ".{w=1}.{w=1}."
            m "Huh?"
            "There's a key in the Peanut Butter."
            ".{w=1}.{w=1}."
            "I know what to do."
            "I run to the other side of the room"
            scene white room
            pause 1
            scene room one eight
            "I press the lock into the door and.{w=1}.{w=1}."
            "It opens."
            scene white room
            v "Congrats."
            v "You have beaten."
            v "The first room."
            "There's more rooms..."
            scene to be continued
            pause 3
            jump end
        jump begining
    if ladder:
        "Now this should work, and it's pretty sturdy"
        scene room one five
        "Here I go."
        scene dark room
        "I'm almost there."
        "Just a little more."
        ".{w=1}.{w=1}."
        "Got it."
        ".{w=1}.{w=1}."
        ".{w=1}.{w=1}."
        "And I'm down."
        scene room one ten
        v "Now open it."
        m "Nah, I want to save it."
        v "OPEN IT!!!"
        m "Okay okay, geez"
        "I open the Peanut Butter to find."
        ".{w=1}.{w=1}."
        m "Huh?"
        "There's a key in the Peanut Butter."
        ".{w=1}.{w=1}."
        "I know what to do."
        "I run to the other side of the room"
        scene white room
        pause 1
        scene room one eight
        "I press the lock into the door and.{w=1}.{w=1}."
        "It opens."
        scene white room
        v "Congrats."
        v "You have beaten."
        v "The first room."
        "There's more rooms..."
        scene to be continued
        pause 3
        jump end
scene room one two
jump begining
    # This ends the game.
label end:
    scene dark room
    r "This is the end of the demo."
    r "If you would like to see more or maybe a full game, please say so in the itch.io page comments."
    r "If you would like to see more of what I'm making, please consider pressing follow."
    r "To Be Continued...?"
    return
#296 lines of code